summaryrefslogtreecommitdiffstats
path: root/proxy_wizard/scripts/testport.sh
diff options
context:
space:
mode:
Diffstat (limited to 'proxy_wizard/scripts/testport.sh')
-rwxr-xr-xproxy_wizard/scripts/testport.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/proxy_wizard/scripts/testport.sh b/proxy_wizard/scripts/testport.sh
new file mode 100755
index 00000000..e800dbd5
--- /dev/null
+++ b/proxy_wizard/scripts/testport.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000,2001 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+#
+# squid wizard
+
+echo_debug $0
+
+[ -r /etc/services ] || exit 0
+
+echo_debug $wiz_squid_port
+
+# we now that we got a positive integer (uint)
+
+[ $wiz_squid_port -eq 8080 ] && exit 0
+[ $wiz_squid_port -lt 1024 ] && exit 2
+[ $wiz_squid_port -ge 65536 ] && exit 2
+
+grep -qs "[[:space:]]$wiz_squid_port/tcp" /etc/services && {
+ echo_debug "err service"
+ exit 1
+}
+echo_debug "no pb"
+exit 0
+